# Check Cronstatus

## Introduction

Show status of all Cronjobs using Axels Cronwrapper

`check_cronstatus` executes the cronstatus.sh in the cronwrapper installation directory and will parse its output.

In the cronstatus the last run of each job will be verified with these conditions:

* exitcode was 0
* last run is younger than given TTL

As output you get a summary of all checks followed by more detailed status per job.

## Requirements

* The cronwrapper must be installed
* Your cronjob(s) must be changed to use the wrapper, eg.\
 `*/60 * * * * /opt/cronwrapper/cronwrapper.sh 60 <YOUR_COMMAND>`

📄 Source: <https://github.com/axelhahn/cronwrapper>\
📜 License: GNU GPL 3.0\
📖 Docs: see docs folder or online <https://www.axel-hahn.de/docs/cronwrapper/>

## Syntax

```txt
______________________________________________________________________

CHECK_CRONSTATUS
v2.4

(c) Institute for Medical Education - University of Bern
Licence: GNU GPL 3

https://os-docs.iml.unibe.ch/icinga-checks/Checks/check_cronstatus.html
______________________________________________________________________

Show status of all Cronjobs using Axels Cronwrapper
https://github.com/axelhahn/cronwrapper

The last run of each job is verified to these conditions:
- exitcode was 0
- last run is younger than given TTL


SYNTAX:
check_cronstatus [-h] [SCRIPT]

OPTIONS:

    -h or --help   show this help.

PARAMETERS:

    SCRIPT         optional: custom status script
                   default: /opt/cronwrapper/cronstatus.sh

```

## Examples

`check_cronstatus`
    The Check of cronjobs with the default loction does not require any parameter

`check_cronstatus /usr/share/cronwrapper/cronstatus.sh`
    The Check of cronjobs with custom loction.
    The parameter must reference cronstatus.sh with its full path